Subject: Re: [jose] JOSE and RFC4210

From: Richard Barnes <[email-masked]>
Date: Mon, 1 Apr 2013 11:57:20 -0400

Hi Mountie,

JOSE is a cryptographic container format, like PKCS7 / CMS.  So it could be
used to encapsulate CMP messages, in the same way that PKCS7 or S/MIME is
today.

--Richard

On Sun, Mar 31, 2013 at 9:19 AM, Mountie Lee <[email-masked]> wrote:

> Hi.
> I'm Mountie Lee from Korea.
>
> recently I'm trying to write draft for Web Certificate API as the part of
> W3C WebCrypto WG (http://www.w3.org/2012/webcrypto/)
>
> RFC4210 is the standard for Certificate Management Protocol
> and defines list of response data types in their process.
>
> for example
> RFC4210 CMP defines Certificate Reponse data structure as
> http://tools.ietf.org/html/rfc4210#section-5.3.4
>
> also it defines the Revocation Response data structure as
> http://tools.ietf.org/html/rfc4210#section-5.3.10
>
> my question is
>
> in JOSE Working Group
> is there any discussion for JOSE data format for RFC4210 data structures?
>
> if not, where can I start to discuss for these requirements?
>
> Korea and in some other countries are using RFC4210 as their base pki
> standard.
> previously and until to now, binary plugins (like ActiveX) are used to
> implement CMP.
>
> already huge infrastructures (legal, physical and services) are
> established and operated over 10 years.
>
> that is the reason why we have interest for JOSE as the data structure of
> RFC4210 CMP.
>
> best regards
> mountie.
>
> --
> Mountie Lee
>
> PayGate
> CTO, CISSP
> Tel : +82 2 2140 2700
> E-Mail : [email-masked]
>
>  =======================================
> PayGate Inc.
> THE STANDARD FOR ONLINE PAYMENT
> for Korea, Japan, China, and the World
>
>
>
> _______________________________________________
> jose mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/jose
>
>

---

From: Sean Turner <[email-masked]>
Date: Tue, 02 Apr 2013 14:54:32 -0400

CMP (RFC 4210) is "a" protocol for certificate management :) Are you 
saying that's the one they picked?  There's more than CMP to choose from:

  - PKCS#10/PKCS#7 (RFC2986/RFC2315|RFC5751)
  - CMC (RFC5272)
  - SCEP (likely to be a historic RFC shortly)
  - EST (slowly working it's way out of PKIX)

The PKIX WG long ago ducted on deciding the one true enrollment 
protocol.  It might have been long enough to restart that debate, but I 
don't think we should do that on this list.

spt

On 4/1/13 11:57 AM, Richard Barnes wrote:
> Hi Mountie,
>
> JOSE is a cryptographic container format, like PKCS7 / CMS.  So it could
> be used to encapsulate CMP messages, in the same way that PKCS7 or
> S/MIME is today.
>
> --Richard
>
>
>
> On Sun, Mar 31, 2013 at 9:19 AM, Mountie Lee <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     Hi.
>     recently I'm trying to write draft for Web Certificate API as the
>     part of W3C WebCrypto WG (http://www.w3.org/2012/webcrypto/)
>
>     Korea and in some other countries are using RFC4210 as their base
>     pki standard.
>     previously and until to now, binary plugins (like ActiveX) are used
>     to implement CMP.
>
>     that is the reason why we have interest for JOSE as the data
>     structure of RFC4210 CMP.
>
>     best regards
>     mountie.
>
>     --
>     Mountie Lee
>
>     PayGate
>     CTO, CISSP
>     Tel : +82 2 2140 2700 <tel:%2B82%202%202140%202700>
>     E-Mail : [email-masked] <mailto:[email-masked]>
>
>     [email-masked] <mailto:[email-masked]>